Request an immutable build from connected repository source
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"repositoryBindingId": "<string>",
"revision": "<string>",
"advanceEnvironmentId": "<string>",
"expectedEnvironmentVersion": 0
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/builds"
payload = {
"repositoryBindingId": "<string>",
"revision": "<string>",
"advanceEnvironmentId": "<string>",
"expectedEnvironmentVersion": 0
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
repositoryBindingId: '<string>',
revision: '<string>',
advanceEnvironmentId: '<string>',
expectedEnvironmentVersion: 0
})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempt": {
"schemaVersion": 1,
"buildAttemptId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"sourceKind": "github",
"advanceFollowers": false,
"requestedBy": "<string>",
"state": "awaiting_upload",
"diagnostics": [
{}
],
"sourceClosure": [],
"createdAtMs": 0,
"updatedAtMs": 0,
"sourceDraftId": "<string>",
"sourceRevision": 1,
"sourceDigest": "<string>",
"repositoryBindingId": "<string>",
"revision": "<string>",
"expectedBuildHash": "<string>",
"expectedArtifactDigest": "<string>",
"expectedBytes": 33554432,
"advanceEnvironmentId": "<string>",
"expectedEnvironmentVersion": 0,
"buildHash": "<string>",
"finishedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"attempt": {
"schemaVersion": 1,
"buildAttemptId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"sourceKind": "github",
"advanceFollowers": false,
"requestedBy": "<string>",
"state": "awaiting_upload",
"diagnostics": [
{}
],
"sourceClosure": [],
"createdAtMs": 0,
"updatedAtMs": 0,
"sourceDraftId": "<string>",
"sourceRevision": 1,
"sourceDigest": "<string>",
"repositoryBindingId": "<string>",
"revision": "<string>",
"expectedBuildHash": "<string>",
"expectedArtifactDigest": "<string>",
"expectedBytes": 33554432,
"advanceEnvironmentId": "<string>",
"expectedEnvironmentVersion": 0,
"buildHash": "<string>",
"finishedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Request an immutable build from connected repository source
Request an immutable build from connected repository source
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Body
application/json